Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.flex.core
Class EndpointConfigProcessor

    java.lang.Object
      org.springframework.flex.core.EndpointConfigProcessor

All Implemented Interfaces:
  BeanClassLoaderAware, MessageBrokerConfigProcessor

    public class EndpointConfigProcessor

extends Object
implements MessageBrokerConfigProcessor, BeanClassLoaderAware

Processor that applies advice to configured BlazeDS (Servlet based) endpoints by wrapping them in Spring AOP proxies.

This processor will be automatically configured through the `message-broker` xml configuration namespace tag.

Author:
  Jeremy Grelle, Rohit Kumar

Constructor Summary
`EndpointConfigProcessor(List<EndpointAdvisor> advisors)`

Method Summary
`MessageBroker` | `processAfterStartup(MessageBroker broker)` Apply this config processor to the newly created `MessageBroker` after it and all of its services have been started but before it is available for use.
`MessageBroker` | `processBeforeStartup(MessageBroker broker)` Apply this config processor to the newly created `MessageBroker` after its intial configuration settings have been parsed from the BlazeDS XML configuration, but before it has actually been started.
`void` | `setBeanClassLoader(ClassLoader classLoader)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EndpointConfigProcessor

    public EndpointConfigProcessor(List<EndpointAdvisor> advisors)

Method Detail

### processAfterStartup

    public MessageBroker processAfterStartup(MessageBroker broker)

  Apply this config processor to the newly created `MessageBroker` after it and all of its services have been started but before it is available for use.

  Specified by:
    `processAfterStartup` in interface `MessageBrokerConfigProcessor`
  Parameters:
    `broker` - the started `MessageBroker` instance
  Returns:
    the modified `MessageBroker`

### processBeforeStartup

    public MessageBroker processBeforeStartup(MessageBroker broker)

  Apply this config processor to the newly created `MessageBroker` after its intial configuration settings have been parsed from the BlazeDS XML configuration, but before it has actually been started.

  Specified by:
    `processBeforeStartup` in interface `MessageBrokerConfigProcessor`
  Parameters:
    `broker` - the new `MessageBroker` instance
  Returns:
    the modified `MessageBroker`

### setBeanClassLoader

    public void setBeanClassLoader(ClassLoader classLoader)

  Specified by:
    `setBeanClassLoader` in interface `BeanClassLoaderAware`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.